﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EnemySpawner : MonoBehaviour {

	public GameObject enemy_prefab; 



	public Vector2 spawn_min;
	public Vector2 spawn_max;

	public float spawn_frequency = 5.0f;

	private int n_enemies = 1;
	public float spawn_increment_frequency = 10;
	public float spawn_incrememt = 1;

	public int max_num_enemies = 10;

	void Start () {
		InvokeRepeating ("SpawnEnemy", 0, spawn_frequency);
		InvokeRepeating ("IncrementSpawn", 0, spawn_increment_frequency);
	}
	

	public void SpawnEnemy()
	{
		GameObject[] enemies = GameObject.FindGameObjectsWithTag ("Enemy");

		if(enemies.Length < max_num_enemies)
		{
			for(int i=0; i<n_enemies; i++)
			{
				Vector2 spawn_loc = new Vector2 (Random.Range (spawn_min.x, spawn_max.x), Random.Range (spawn_min.y, spawn_max.y));
				Instantiate (enemy_prefab, spawn_loc, Quaternion.identity);
			}
		}

	}

	void IncrementSpawn()
	{
		n_enemies++;
	}

}
