﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[RequireComponent(typeof(Rigidbody2D))]
public class Movement_final : MonoBehaviour {

	public float speed = 5.0f;

	private Rigidbody2D rbody;

	void Awake()
	{
		rbody = GetComponent<Rigidbody2D> ();
	}

	public void Move(Vector2 direction)
	{
		// assume direction has already been normalized
		rbody.velocity = direction * speed;
	}

}
