﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Basic_AI_final : MonoBehaviour {

	public GameObject target;

	public float shoot_frequency;
	public float movement_frequency;

	public Vector2 direction;

	void Start()
	{
		target = GameObject.FindGameObjectWithTag ("Player");
		InvokeRepeating ("ShootAI", 0, shoot_frequency);
		InvokeRepeating ("ChangeMovement", 0, movement_frequency);
	}

	void Update()
	{
		SendMessage ("Move", direction, SendMessageOptions.RequireReceiver);
	}


	void ShootAI()
	{
		SendMessage ("Shoot", (Vector2)target.transform.position, SendMessageOptions.RequireReceiver);
	}

	void ChangeMovement()
	{
		direction = new Vector2 (Random.Range (-1, 2), Random.Range (-1, 2));
		direction.Normalize ();
	}



}
