﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[RequireComponent(typeof(Collider2D))]
public class Damage_on_touch : MonoBehaviour {

	public LayerMask mask;

	public GameObject shooter;

	public float damage = 1;

	public void Init()
	{
		if(shooter.CompareTag("Player"))
		{
			gameObject.layer = LayerMask.NameToLayer ("Player");
		}
		else if(shooter.CompareTag("Enemy"))
		{
			gameObject.layer = LayerMask.NameToLayer ("Enemy");
		}
	}

	public void SetSource(GameObject g)
	{
		shooter = g;
	}

	void OnTriggerEnter2D(Collider2D col)
	{
		Destroy (gameObject);
		col.gameObject.SendMessage ("Damage", damage, SendMessageOptions.DontRequireReceiver);
	}


}
