﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[RequireComponent(typeof(Collider2D))]
public class Health_final : MonoBehaviour {


	public float max_health = 3;

	private float health;


	void Start()
	{
		health = max_health;
	}


	public void Damage(float damage)
	{
		health -= damage;
		if (health <= 0)
			Die ();
	}

	public void Heal(float heal)
	{
		health += heal;
		Mathf.Clamp (health, 0, max_health);
	}

	public void Die()
	{
		Destroy (gameObject);
	}


}
